Firefox ESR < 60.9 Improper Input Validation Vulnerability

Summary

Given a compromised sandboxed content process due to a separate vulnerability, it is possible to escape that sandbox by loading accounts.firefox.com in that process and forcing a log-in to a malicious Firefox Sync account. 

Credit:

The information has been provided by Vendor

The original article can be found at:https://www.mozilla.org/security/advisories/mfsa2019-25/


Details

Preference settings that disable the sandbox are then synchronized to the local machine and the compromised browser would restart without the sandbox if a crash is triggered. This vulnerability affects Firefox ESR < 60.9, Firefox ESR < 68.1, and Firefox < 69.

 

Vulnerable Systems:

Firefox ESR < 60.9

Firefox ESR < 68.1

Firefox < 69

 

CVE Information:

CVE-2019-9812

 

Disclosure Timeline:
Published Date:1/8/2020

Categories: News